Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.tools
Class BuildTutorial

    java.lang.Object
      com.lowagie.tools.BuildTutorial

    public class BuildTutorial

extends Object

This class can be used to build the iText website.

Author:
  Bruno Lowagie

Field Summary
`(package private) static FileWriter` | `build`
`(package private) static String` | `root`

Constructor Summary
`BuildTutorial()`

Method Summary
`static void` | `action(File source, File destination, File xsl_examples, File xsl_site)` Inspects a file or directory that is given and performs the necessary actions on it (transformation or recursion).
`static void` | `convert(File infile, File xslfile, File outfile)` Converts an `infile`, using an `xslfile` to an `outfile`.
`static void` | `main(String[] args)` Main method so you can call the convert method from the command line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### root

    static String root

### build

    static FileWriter build

Constructor Detail

### BuildTutorial

    public BuildTutorial()

Method Detail

### main

    public static void main(String[] args)

  Main method so you can call the convert method from the command line.

  Parameters:
    `args` - 4 arguments are expected:
    - a sourcedirectory (root of the tutorial xml-files),
    - a destination directory (where the html and build.xml files will be generated),
    - an xsl to transform the index.xml into a build.xml
    - an xsl to transform the index.xml into am index.html

### action

    public static void action(File source,
                              File destination,
                              File xsl_examples,
                              File xsl_site)
                       throws IOException

  Inspects a file or directory that is given and performs the necessary actions on it (transformation or recursion).

  Parameters:
    `source` - a sourcedirectory (possibly with a tutorial xml-file)
    `destination` - a destination directory (where the html and build.xml file will be generated, if necessary)
    `xsl_examples` - an xsl to transform the index.xml into a build.xml
    `xsl_site` - an xsl to transform the index.xml into am index.html
  Throws:
    `IOException` - when something goes wrong while reading or creating a file or directory

### convert

    public static void convert(File infile,
                               File xslfile,
                               File outfile)

  Converts an `infile`, using an `xslfile` to an `outfile`.

  Parameters:
    `infile` - the path to an XML file
    `xslfile` - the path to the XSL file
    `outfile` - the path for the output file

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD